Subject: Re: [sipcore] [Editorial Errata Reported] RFC5954 (4929)

From: "Ben Campbell" <[email-masked]>
Date: Wed, 08 Feb 2017 14:04:40 -0600

(+sipcore, -RFC editor)

Does anyone see this as too urgent to hold for document update?

Ben.

On 8 Feb 2017, at 13:43, Dean Willis wrote:

> I agree with Brian on both points.
>
> Yield does not mean surrender...
>
> On Feb 8, 2017 13:13, "Brian E Carpenter" 
> <[email-masked]>
> wrote:
>
>> Well spotted, that's a silly mistake indeed.
>>
>> BTW I think the phrase "yield to" is wrong too. It should be
>> either "yield" or "lead to".
>>
>> Regards
>>    Brian Carpenter
>>
>> On 09/02/2017 03:12, RFC Errata System wrote:
>>> The following errata report has been submitted for RFC5954,
>>> "Essential Correction for IPv6 ABNF and URI Comparison in RFC 3261".
>>>
>>> --------------------------------------
>>> You may review the report below and at:
>>> http://www.rfc-editor.org/errata_search.php?rfc=5954&eid=4929
>>>
>>> --------------------------------------
>>> Type: Editorial
>>> Reported by: David van Moolenbroek <[email-masked]>
>>>
>>> Section: 3.1
>>>
>>> Original Text
>>> -------------
>>>    Because the <hexpart> production rule is defined such that two of 
>>> its
>>>    alternatives already include the "::" token, this may yield to 
>>> the
>>>    faulty construction of an IPv6-mapped IPv4 address with an extra
>>>    colon when expanding those alternatives.
>>>
>>> Corrected Text
>>> --------------
>>>    Because the <hexpart> production rule is defined such that two of 
>>> its
>>>    alternatives already include the "::" token, this may yield to 
>>> the
>>>    faulty construction of an IPv4-mapped IPv6 address with an extra
>>>    colon when expanding those alternatives.
>>>
>>> Notes
>>> -----
>>> The text refers to an IPv6 address, and thus should use the proper 
>>> term
>> "IPv4-mapped IPv6 address," in line with the section title, the rest 
>> of the
>> document, and (in particular) RFC 4291.
>>>
>>> Instructions:
>>> -------------
>>> This erratum is currently posted as "Reported". If necessary, please
>>> use "Reply All" to discuss whether it should be verified or
>>> rejected. When a decision is reached, the verifying party
>>> can log in to change the status and edit the report, if necessary.
>>>
>>> --------------------------------------
>>> RFC5954 (draft-ietf-sip-ipv6-abnf-fix-05)
>>> --------------------------------------
>>> Title               : Essential Correction for IPv6 ABNF and URI
>> Comparison in RFC 3261
>>> Publication Date    : August 2010
>>> Author(s)           : V. Gurbani, Ed., B. Carpenter, Ed., B. Tate, 
>>> Ed.
>>> Category            : PROPOSED STANDARD
>>> Source              : Session Initiation Protocol
>>> Area                : Real-time Applications and Infrastructure
>>> Stream              : IETF
>>> Verifying Party     : IESG
>>>
>>

---

From: "Vijay K.Gurbani" <[email-masked]>
Date: Wed, 8 Feb 2017 15:08:13 -0600

> Does anyone see this as too urgent to hold for document update?

Ben: I think holding for document update should be fine.  I see
that the Errata link has ben updated to reflect this erratum.

Thanks,

>     <[email-masked] <mailto:[email-masked]>>
>     wrote:
>
>         <http://www.rfc-editor.org/errata_search.php?rfc=5954&eid=4929>
>         >
>         > Reported by: David van Moolenbroek <[email-masked]
>         <mailto:[email-masked]>>
>         >
>         > Section: 3.1
>         >
>         > Original Text
>         > -------------
>         >    Because the <hexpart> production rule is defined such that
>         two of its
>         >    alternatives already include the "::" token, this may yield
>         to the
>         >    Because the <hexpart> production rule is defined such that
>         two of its
>         >    alternatives already include the "::" token, this may yield
>         to the
>         > The text refers to an IPv6 address, and thus should use the
>         proper term "IPv4-mapped IPv6 address," in line with the section
>         title, the rest of the document, and (in particular) RFC 4291.
>         >
>         > Instructions:
>         > -------------
>         > Title               : Essential Correction for IPv6 ABNF and
>         URI Comparison in RFC 3261
>         > Author(s)           : V. Gurbani, Ed., B. Carpenter, Ed., B.
>         Tate, Ed.
> _______________________________________________
> sipcore mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sipcore
>

- vijay
-- 
Vijay K. Gurbani, Bell Laboratories, Nokia Networks
Email: [email-masked] / [email-masked]
Web: https://www.bell-labs.com/usr/vijay.gurbani
Calendar: http://goo.gl/x3Ogq